[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Can Java just shoot me?



Antti J. Huhtala wrote:
ke, 2007-11-21 kello 11:28:23 -0500, Tom Horsley kirjoitti:
On Wed, 21 Nov 2007 10:24:03 -0600
Frank Cox <theatre sasktel net> wrote:

Better put into /usr/lib/firefox-2.0.0.x/plugins That way it is available to all users.
Wouldn't it disappear the next time you update Firefox to 2.0.0.x+1?

I've never tried that, actually.
Yep, you have to keep updating the link with firefox.

On the other hand you can make links in /usr/lib/mozilla/plugins/
and firefox will find them there as well for all users, and they will
hang around between firefox versions (which is a good thing
as long as they aren't version dependent).

Yes, a symlink in /usr/lib/mozilla/plugins will work no matter which
version of Firefox is currently used.
Referring to Tom's original post, I find it difficult to understand the
sneering remarks some writers have chosen to contribute to this thread.
While installing Sun's Java Runtime Environment is not very difficult,
it is not entirely trivial, either.
Finding a JRE rpm package or binary self-extracting file to download is
*not* the problem (though a relative newbie can't be sure which of the
many on offer to choose). It's what you do _after_ downloading it to
install _and_ link it properly.

There are so many variables (Fedora version, i386/x86_64, browser etc)
to consider that it is understandable everybody and his cousin have not
succeeded in making JRE work in their systems. Sun's home pages _are_
somewhat difficult to navigate if you aren't sure which package/file you
need to install Firefox Java plugin, for example. Even if you manage to somehow find your way to http://java.com/en/ and
locate the "big green button", your troubles are far from over. You may
successfully d/l and install the package/file but if you didn't observe
the fact earlier, there's _no_ reference either to Fedora or Firefox! When you get to 'Enable and Configure' section in 'Instructions', your
options are "Mozilla 1.4 and later" or "Mozilla 1.2, Netscape 6 and
later". How do you know which one to choose -- if either? (If you've got
Fedora 7 and Firefox 32-bit browser, the former is just fine.)

In trying to get your Firefox Java plugin to work, you may be directed
to http://plugindoc.mozdev.org/linux.html#Java . Though the advice on
that page is not wrong, it's much too brief to be of any real help to
the uninitiated.

For a long time I didn't have JRE working (for no lack of trying) until
I followed the directions in
http://www.mjmwired.net/resources/mjm-fedora-fc6.html#java

while using FC6. Today I spent a good hour to install and enable the
latest Java plugin (jre1.6.0_03) in F7 and Firefox 2.0.0.9 according to http://www.mjmwired.net/resources/mjm-fedora-f7.html#java
Why it took a good hour is because the above page is a bit vague about
'simply deleting /opt/jre1.6 directory' and creating a symlink to the
appropriate /opt/jre1.6.0_03/plugin/i386/ns7/libjavaplugin_oji.so file
in /usr/lib/mozilla/plugins.

Regards

Antti



This is working for me. The F7 instructions are very clear. I am updating this F7-64 so can't get the lib file yummed yet but the sim-link went fine and it should then work. I saved the web page :-)



--

	Karl F. Larsen, AKA K5DI
	Linux User
	#450462   http://counter.li.org.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]